Skip to main content
GET
/
trigger-inbox
/
v1
/
inboxes
/
{inbox_id}
/
messages
List messages from an inbox.
curl --request GET \
  --url https://api.zapier.com/trigger-inbox/v1/inboxes/{inbox_id}/messages \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.zapier.com/trigger-inbox/v1/inboxes/{inbox_id}/messages"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.zapier.com/trigger-inbox/v1/inboxes/{inbox_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next": "https://api.example.org/accounts/?cursor=cD00ODY%3D",
  "previous": "https://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "message_attributes": {
        "lease_count": 123,
        "error_message": "<string>",
        "possible_duplicate_data": true
      }
    }
  ]
}
{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

Path Parameters

inbox_id
string<uuid>
required

Query Parameters

cursor
string

The pagination cursor value.

Response

next
string<uri> | null
required

Link to next page of results if any.

Example:

"https://api.example.org/accounts/?cursor=cD00ODY%3D"

previous
string<uri> | null
required

Link to previous page of results if any.

Example:

"https://api.example.org/accounts/?cursor=cj0xJnA9NDg3"

results
object[]
required

Array of results for the current page.